#
# Conditional build:
%bcond_without	voip		# without VoIP support
%bcond_with	python		# with python support
%bcond_with	ioctl_daemon	# with ioctl_daemon (suid root)
#
Summary:	A client compatible with Gadu-Gadu
Summary(de):	Ein Cliente kompatibel mit Gadu-Gadu
Summary(es):	Un cliente compatible con Gadu-Gadu
Summary(it):	Un cliente compatibile con Gadu-Gadu
Summary(pl):	Klient kompatybilny z Gadu-Gadu
Name:		ekg
Version:	1.4
Release:	5
Epoch:		4
License:	GPL v2
Group:		Applications/Communications
Source0:	http://dev.null.pl/ekg/%{name}-%{version}.tar.gz
# Source0-md5:	8f35030c05e62c30ce9068e26bd365a2
Source1:	%{name}.conf
Patch0:		%{name}-kadu-0_3_6.patch
URL:		http://dev.null.pl/ekg/
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_voip:BuildRequires:	libgsm-devel}
BuildRequires:	libjpeg-devel
BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel >= 0.9.7c
BuildRequires:	%{_bindir}/perl
%{?with_python:BuildRequires:	python-devel}
BuildRequires:	readline-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A client compatible with Gadu-Gadu.

%description -l de
Ein Cliente kompatibel mit Gadu-Gadu.

%description -l es
Un cliente compatible con Gadu-Gadu.

%description -l it
Un cliente compatibile con Gadu-Gadu.

%description -l pl
Klient kompatybilny z Gadu-Gadu.

%package -n libgadu
Summary:	libgadu library
Summary(es):	Biblioteca libgadu
Summary(pl):	Biblioteka libgadu
License:	LGPL v2.1
Group:		Libraries
Obsoletes:	libgg

%description -n libgadu
libgadu is intended to make it easy to add Gadu-Gadu communication
support to your software.

%description -n libgadu -l de
Mit libgadu ist es Ihnen mglich auf einfache Weise Gadu-Gadu
Kommunikations-Untersttzung in Ihre Software einzubinden.

%description -n libgadu -l es
libgadu est pensada para facilitar aadirle comunicacin va
Gadu-Gadu a su software.

%description -n libgadu -l pl
libgadu umoliwia atwe dodanie do rnych aplikacji komunikacji
bazujcej na protokole Gadu-Gadu.

%package -n libgadu-devel
Summary:	libgadu development library
Summary(es):	Biblioteca de desarrollo de libgadu
Summary(pl):	Cz biblioteki libgadu dla programistw
License:	LGPL v2.1
Group:		Development/Libraries
Requires:	libgadu = %{epoch}:%{version}
Requires:	openssl-devel
Obsoletes:	libgg-devel

%description -n libgadu-devel
The libgadu-devel package contains the header files and some
documentation needed to develop application with libgadu.

%description -n libgadu-devel -l de
Das libgadu-devel Paket enthlt Header-Files (Kopfzeilenordner) und
die Dokumentation die Sie bentigen um mit libgadu Anwendungen zu
entwickeln.

%description -n libgadu-devel -l es
El paquete libgadu-devel contiene los ficheros de cabecera, juntos con
una documentacin, necesarios para desarrollar aplicaciones que usar
libgadu.

%description -n libgadu-devel -l pl
Pakiet libgadu-devel zawiera pliki nagwkowe i dokumentacj,
potrzebne do kompilowania aplikacji korzystajcych z libgadu.

%package -n libgadu-static
Summary:	Static libgadu library
Summary(es):	Biblioteca libgadu esttica
Summary(pl):	Statyczna biblioteka libgadu
License:	LGPL v2.1
Group:		Development/Libraries
Requires:	libgadu-devel = %{epoch}:%{version}
Obsoletes:	libgg-static

%description -n libgadu-static
Static libgadu library.

%description -n libgadu-static -l de
Statisches libgadu Archiv.

%description -n libgadu-static -l es
Biblioteca libgadu esttica.

%description -n libgadu-static -l pl
Statyczna biblioteka libgadu.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
%{__aclocal} -I m4
%{__autoheader}
%{__autoconf}
%configure \
	--enable-shared \
	--enable-static \
	--with-pthread \
	--without-bind \
	%{?with_python:--with-python} \
	%{!?with_voip:--without-libgsm} \
	%{!?with_ioctl_daemon:--disable-ioctld}

%{__make} \
	CC="%{__cc} %{rpmcflags} -Wall -I/usr/include/ncurses"

%if %{with ioctl_daemon}
%{__make} -C src ioctld
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

%{__make} install install-ekl2 \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}

# For libgadu-devel

rm examples/Makefile examples/Makefile.in examples/.cvsignore
rm -r examples/CVS

install -d $RPM_BUILD_ROOT%{_examplesdir}/libgadu-%{version}
mv examples/* $RPM_BUILD_ROOT%{_examplesdir}/libgadu-%{version}

%if %{with ioctl_daemon}
install src/ioctld $RPM_BUILD_ROOT%{_bindir}
%endif

cd $RPM_BUILD_ROOT%{_libdir}
ln -sf libgadu.so.*.* libgadu.so

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n libgadu -p /sbin/ldconfig
%postun -n libgadu -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc docs/{7thguard,dcc,files,gdb,python,sim,themes,ui-ncurses,vars,voip}.txt
%doc ChangeLog docs/{FAQ,README,TODO,ULOTKA} docs/emoticons.{ansi,sample}
%attr(755,root,root) %{_bindir}/e*
%{?with_ioctl_daemon:%attr(4755,root,root) %{_bindir}/ioctld}
%attr(644,root,root) %config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/*.conf
%{_datadir}/ekg
%{_mandir}/man1/*
%lang(pl) %{_mandir}/pl/man1/*

%files -n libgadu
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgadu.so.*.*

%files -n libgadu-devel
%defattr(644,root,root,755)
%doc docs/{7thguard,ui,devel-hints,przenosny-kod}.txt docs/protocol.html
%doc ChangeLog docs/{README,TODO}
%{_libdir}/libgadu.so
%{_includedir}/libgadu.h
%{_includedir}/libgadu-config.h
%{_pkgconfigdir}/*
%dir %{_examplesdir}/libgadu-%{version}
%{_examplesdir}/libgadu-%{version}/*

%files -n libgadu-static
%defattr(644,root,root,755)
%attr(644,root,root) %{_libdir}/libgadu.a
